import { ElementRef, OnInit } from '@angular/core';
import { Observable, Subscription } from 'rxjs';
import { AtGlobalMonitorService } from '../../at-global-monitor.service';
export declare class AtAffixComponent implements OnInit {
    private monitor;
    constructor(monitor: AtGlobalMonitorService);
    childElement: ElementRef;
    private _atTarget;
    $scrollEvent: Observable<any>;
    $scrollSubscribe: Subscription;
    $windowScrollSubscribe: Subscription;
    style: {
        [x: string]: string;
    };
    _cache_rect: any;
    fixed: boolean;
    atTarget: HTMLElement | Window;
    ngOnInit(): void;
    handleFix(): void;
    setCache(rect: {
        [x: string]: number;
    }): void;
    bindEvent(): void;
    setFix(rect: {
        [x: string]: number;
    }, target: HTMLElement | Window): void;
    clearEvent(): void;
    readonly offsetTop: string;
    getOffset(element: HTMLElement, target: Element | Window | null): {
        top: number;
        left: number;
        width: number;
        height: number;
    };
    getScroll(el?: Element | Window, top?: boolean): number;
    private getTargetRect;
    elementInViewport(el: HTMLElement): boolean;
    calculateWidth(): string;
}
